GET
v1.0.0stable

Get source app

Get source app. Manage only sources owned by this token on the current tenant.

GET/api/appstore/manage/sources/:source_id/apps/:app_id
Auth:Bearer Token
Limite:60/minute

Richiesta parametri

Tutti i parametri possono essere passati tramite Query o Body

ParametroTipoObbligoDescrizione
source_id
stringObbligo
Source ID owned by this user on the current site
Esempio: 12345678
app_id
integerObbligo
App ID within this source
Esempio: 1

Risposta

ParametroTipoObbligoDescrizione
code
integerObbligo
1 indicates success; otherwise a token, validation or source error code
Esempio: 1
msg
stringObbligo
Localized result message
Esempio: 获取成功
time
integerObbligo
Unix timestamp in seconds
data
objectObbligo
Allowlisted fields visible to the source owner
Esempio di risposta
{
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{
"id":1,
"source_id":"12345678",
"name":"演示应用",
"version":"1.0",
"download_url":"https://example.com/app.ipa",
"status":1,
"publish_status":"published"
}
}

Codici di errore

Codici di errore4 definito
10
Invalid token
Token is invalid or rotated; HTTP 401
11
Token expired
Token has expired; HTTP 401
40001
Source not found
Source is missing or not owned by this user/tenant; HTTP 404

Lingua di risposta

Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.

Intestazione consigliata
X-Lang: it
Lingue supportate
zh, en, zh-TW, vi, ar, es, ru

Accetta-Language è anche supportato; X-Lang prende la priorità.

Esempi di codice

curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678/apps/1" \
  -H "X-Lang: it" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Note

  • 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
  • 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。

Provalo in Console

Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.

GEThttps://testypro.iwai.cc/api/appstore/manage/sources/12345678/apps/1Bloccato a questo sito
stringObbligo

Source ID owned by this user on the current site

integerObbligo

App ID within this source